// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.14.0
// source: doctors.proto

package gen

import (
	proto "github.com/golang/protobuf/proto"
	_ "google.golang.org/genproto/googleapis/api/annotations"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

// a list of doctors
type DoctorList struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Doctors []*Doctor `protobuf:"bytes,1,rep,name=doctors,proto3" json:"doctors,omitempty"`
}

func (x *DoctorList) Reset() {
	*x = DoctorList{}
	if protoimpl.UnsafeEnabled {
		mi := &file_doctors_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DoctorList) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DoctorList) ProtoMessage() {}

func (x *DoctorList) ProtoReflect() protoreflect.Message {
	mi := &file_doctors_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DoctorList.ProtoReflect.Descriptor instead.
func (*DoctorList) Descriptor() ([]byte, []int) {
	return file_doctors_proto_rawDescGZIP(), []int{0}
}

func (x *DoctorList) GetDoctors() []*Doctor {
	if x != nil {
		return x.Doctors
	}
	return nil
}

// represents a doctor
type Doctor struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// full name
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// email address
	Email string `protobuf:"bytes,2,opt,name=email,proto3" json:"email,omitempty"`
	// age
	Age int32 `protobuf:"varint,3,opt,name=age,proto3" json:"age,omitempty"`
}

func (x *Doctor) Reset() {
	*x = Doctor{}
	if protoimpl.UnsafeEnabled {
		mi := &file_doctors_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Doctor) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Doctor) ProtoMessage() {}

func (x *Doctor) ProtoReflect() protoreflect.Message {
	mi := &file_doctors_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Doctor.ProtoReflect.Descriptor instead.
func (*Doctor) Descriptor() ([]byte, []int) {
	return file_doctors_proto_rawDescGZIP(), []int{1}
}

func (x *Doctor) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Doctor) GetEmail() string {
	if x != nil {
		return x.Email
	}
	return ""
}

func (x *Doctor) GetAge() int32 {
	if x != nil {
		return x.Age
	}
	return 0
}

// empty message
type NilMsg struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *NilMsg) Reset() {
	*x = NilMsg{}
	if protoimpl.UnsafeEnabled {
		mi := &file_doctors_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NilMsg) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NilMsg) ProtoMessage() {}

func (x *NilMsg) ProtoReflect() protoreflect.Message {
	mi := &file_doctors_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NilMsg.ProtoReflect.Descriptor instead.
func (*NilMsg) Descriptor() ([]byte, []int) {
	return file_doctors_proto_rawDescGZIP(), []int{2}
}

var File_doctors_proto protoreflect.FileDescriptor

var file_doctors_proto_rawDesc = []byte{
	0x0a, 0x0d, 0x64, 0x6f, 0x63, 0x74, 0x6f, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x05, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1c, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x61,
	0x70, 0x69, 0x2f, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x22, 0x35, 0x0a, 0x0a, 0x44, 0x6f, 0x63, 0x74, 0x6f, 0x72, 0x4c, 0x69,
	0x73, 0x74, 0x12, 0x27, 0x0a, 0x07, 0x64, 0x6f, 0x63, 0x74, 0x6f, 0x72, 0x73, 0x18, 0x01, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x44, 0x6f, 0x63, 0x74,
	0x6f, 0x72, 0x52, 0x07, 0x64, 0x6f, 0x63, 0x74, 0x6f, 0x72, 0x73, 0x22, 0x44, 0x0a, 0x06, 0x44,
	0x6f, 0x63, 0x74, 0x6f, 0x72, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x6d, 0x61,
	0x69, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x12,
	0x10, 0x0a, 0x03, 0x61, 0x67, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x03, 0x61, 0x67,
	0x65, 0x22, 0x08, 0x0a, 0x06, 0x4e, 0x69, 0x6c, 0x4d, 0x73, 0x67, 0x32, 0x9f, 0x02, 0x0a, 0x0d,
	0x44, 0x6f, 0x63, 0x74, 0x6f, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x44, 0x0a,
	0x0b, 0x4c, 0x69, 0x73, 0x74, 0x44, 0x6f, 0x63, 0x74, 0x6f, 0x72, 0x73, 0x12, 0x0d, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x4e, 0x69, 0x6c, 0x4d, 0x73, 0x67, 0x1a, 0x11, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x2e, 0x44, 0x6f, 0x63, 0x74, 0x6f, 0x72, 0x4c, 0x69, 0x73, 0x74, 0x22, 0x13,
	0x82, 0xd3, 0xe4, 0x93, 0x02, 0x0d, 0x12, 0x0b, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x6f, 0x63, 0x74,
	0x6f, 0x72, 0x73, 0x12, 0x4f, 0x0a, 0x11, 0x4c, 0x69, 0x73, 0x74, 0x44, 0x6f, 0x63, 0x74, 0x6f,
	0x72, 0x73, 0x53, 0x74, 0x72, 0x65, 0x61, 0x6d, 0x12, 0x0d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x2e, 0x4e, 0x69, 0x6c, 0x4d, 0x73, 0x67, 0x1a, 0x0d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e,
	0x44, 0x6f, 0x63, 0x74, 0x6f, 0x72, 0x22, 0x1a, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x14, 0x12, 0x12,
	0x2f, 0x76, 0x31, 0x2f, 0x64, 0x6f, 0x63, 0x74, 0x6f, 0x72, 0x73, 0x5f, 0x73, 0x74, 0x72, 0x65,
	0x61, 0x6d, 0x30, 0x01, 0x12, 0x40, 0x0a, 0x09, 0x41, 0x64, 0x64, 0x44, 0x6f, 0x63, 0x74, 0x6f,
	0x72, 0x12, 0x0d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x44, 0x6f, 0x63, 0x74, 0x6f, 0x72,
	0x1a, 0x0d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x44, 0x6f, 0x63, 0x74, 0x6f, 0x72, 0x22,
	0x15, 0x82, 0xd3, 0xe4, 0x93, 0x02, 0x0f, 0x22, 0x0a, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x6f, 0x63,
	0x74, 0x6f, 0x72, 0x3a, 0x01, 0x2a, 0x12, 0x35, 0x0a, 0x05, 0x41, 0x6c, 0x69, 0x76, 0x65, 0x12,
	0x0d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x4e, 0x69, 0x6c, 0x4d, 0x73, 0x67, 0x1a, 0x0d,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x4e, 0x69, 0x6c, 0x4d, 0x73, 0x67, 0x22, 0x0e, 0x82,
	0xd3, 0xe4, 0x93, 0x02, 0x08, 0x12, 0x06, 0x2f, 0x61, 0x6c, 0x69, 0x76, 0x65, 0x42, 0x2e, 0x5a,
	0x2c, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x72, 0x70, 0x63,
	0x2d, 0x65, 0x78, 0x61, 0x6d, 0x70, 0x6c, 0x65, 0x2f, 0x73, 0x65, 0x72, 0x76, 0x65, 0x72, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x65, 0x6e, 0x3b, 0x67, 0x65, 0x6e, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_doctors_proto_rawDescOnce sync.Once
	file_doctors_proto_rawDescData = file_doctors_proto_rawDesc
)

func file_doctors_proto_rawDescGZIP() []byte {
	file_doctors_proto_rawDescOnce.Do(func() {
		file_doctors_proto_rawDescData = protoimpl.X.CompressGZIP(file_doctors_proto_rawDescData)
	})
	return file_doctors_proto_rawDescData
}

var file_doctors_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_doctors_proto_goTypes = []interface{}{
	(*DoctorList)(nil), // 0: proto.DoctorList
	(*Doctor)(nil),     // 1: proto.Doctor
	(*NilMsg)(nil),     // 2: proto.NilMsg
}
var file_doctors_proto_depIdxs = []int32{
	1, // 0: proto.DoctorList.doctors:type_name -> proto.Doctor
	2, // 1: proto.DoctorService.ListDoctors:input_type -> proto.NilMsg
	2, // 2: proto.DoctorService.ListDoctorsStream:input_type -> proto.NilMsg
	1, // 3: proto.DoctorService.AddDoctor:input_type -> proto.Doctor
	2, // 4: proto.DoctorService.Alive:input_type -> proto.NilMsg
	0, // 5: proto.DoctorService.ListDoctors:output_type -> proto.DoctorList
	1, // 6: proto.DoctorService.ListDoctorsStream:output_type -> proto.Doctor
	1, // 7: proto.DoctorService.AddDoctor:output_type -> proto.Doctor
	2, // 8: proto.DoctorService.Alive:output_type -> proto.NilMsg
	5, // [5:9] is the sub-list for method output_type
	1, // [1:5] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_doctors_proto_init() }
func file_doctors_proto_init() {
	if File_doctors_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_doctors_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DoctorList); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_doctors_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Doctor); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_doctors_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NilMsg); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_doctors_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_doctors_proto_goTypes,
		DependencyIndexes: file_doctors_proto_depIdxs,
		MessageInfos:      file_doctors_proto_msgTypes,
	}.Build()
	File_doctors_proto = out.File
	file_doctors_proto_rawDesc = nil
	file_doctors_proto_goTypes = nil
	file_doctors_proto_depIdxs = nil
}
